> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet Transactions

> Retrieve wallet transactions for an employee or contractor by companyID and employeeID or contractorID.



## OpenAPI

````yaml openapi/zeal-api.json get /wallet/transactions
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /wallet/transactions:
    get:
      summary: Get Wallet Transactions
      operationId: get-wallet-transactions
      parameters:
        - name: companyID
          in: query
          description: ID of Company
          required: true
          schema:
            type: string
        - name: employeeID
          in: query
          description: Zeal employeeID
          schema:
            type: string
        - name: contractorID
          in: query
          description: Zeal contractor ID
          schema:
            type: string
        - name: walletTransactionID
          in: query
          description: Wallet Transaction ID
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
                    data:
                      - walletTransactionID: c2213b02e052f60cfb0e4ba4
                        type: credit
                        companyID: bf015b00e052f60cfb0e4a0d
                        employeeID: d210f054bf5b006f50aecbe0
                        contractorID: null
                        bankAccountID: null
                        cardID: null
                        status: settled
                        description: Payment
                        gross_amount: 1000
                        partner_fee: 0
                        zeal_fee: 0
                        net_amount: 1000
                        last_four: null
                        date: '2025-08-01T23:00:00.000Z'
                      - walletTransactionID: d21a3b12e051f60cfb014b1d
                        type: debit
                        companyID: bf015b00e052f60cfb0e4a0d
                        employeeID: d210f054bf5b006f50aecbe0
                        contractorID: null
                        bankAccountID: null
                        cardID: 10c313104851406408f4130be0540451
                        status: settled
                        description: Instant transfer
                        gross_amount: 102
                        partner_fee: 1
                        zeal_fee: 1
                        net_amount: 100
                        last_four: '0432'
                        date: '2025-08-02T23:00:00.000Z'
                    testMode: false
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                    default: true
                  data:
                    type: array
                    items:
                      type: object
                      properties: {}
                    description: Array of Wallet Transaction objects
                  testMode:
                    type: boolean
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````